organization_principal-grants_approve
Sponsors tools for a delegated principal; the approver becomes the sponsor and may only approve what their own role covers, the rest come back in notSponsorable (product owner/admin)
Sponsors tools for a delegated principal; the approver becomes the sponsor and may only approve what their own role covers, the rest come back in notSponsorable (product owner/admin)
Behavior
- HTTP
POST /governance/api/v1/products/:productId/principal-grants/approve
Arguments
Name | Type | Required | Description |
|---|---|---|---|
tools | array | • | No description in the catalog. |
productId | string | • | No description in the catalog. |
principalId | string | • | No description in the catalog. |
principalKind | string | • | No description in the catalog. |
Response
Field | Type | Always | Description |
|---|---|---|---|
grants | array | • | |
pending | array | • | |
effective | array | • | |
productId | string | • | |
principalId | string | • | |
needsSponsor | array | • | |
principalKind | string | • | |
notSponsorable | array | • |
Try it
Sponsors tools for a delegated principal; the approver becomes the sponsor and may only approve what their own role covers, the rest come back in notSponsorable (product owner/admin).